### Method

# EDataServerUI CredentialsPrompter prompt

since: 3.16

#### Declaration [src]

    void
    e_credentials_prompter_prompt (
      ECredentialsPrompter* prompter,
      ESource* source,
      const gchar* error_text,
      ECredentialsPrompterPromptFlags flags,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asks the `prompter` to prompt for credentials, which are returned to the caller through `callback`, when available.The `flags` are ignored, when the `callback` is `NULL`; the credentials are passed to the `source` with `e_source_invoke_authenticate()` directly, in this case. Call `e_credentials_prompter_prompt_finish()` in `callback` to get to the provided credentials.

Available since: 3.16

This method completes asynchronously. Use `e_credentials_prompter_prompt_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`source`

  Type: `ESource`

  An `ESource`, which prompt the credentials for.

  The data is owned by the caller of the method.

`error_text`

  Type: `const gchar*`

  Additional error text to show to a user, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `ECredentialsPrompterPromptFlags`

  A bit-or of `ECredentialsPrompterPromptFlags`.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the credentials are ready, or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data passed into `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.